##[elementFinder.isPresent](https://github.com/angular/protractor/blob/master/lib/protractor.js#L126)
#### Use as: element(locator).isPresent()
Determine whether an element is present on the page.


###Example

```html
<span>{{person.name}}</span>
```

```javascript
// Element exists.
expect(element(by.binding('person.name')).isPresent()).toBe(true);

// Element not present.
expect(element(by.binding('notPresent')).isPresent()).toBe(false);
```





###Returns

Type | Description
--- | ---
!webdriver.promise.Promise | A promise which resolves to a boolean.

