##[elementFinder.element](https://github.com/angular/protractor/blob/master/lib/protractor.js#L148)
#### Use as: element(locator).element()
Calls to element may be chained to find elements within a parent.


###Example

```html
<div class="parent">
  <div class="child">
    Child text
    <div>{{person.phone}}</div>
  </div>
</div>
```

```javascript
// Chain 2 element calls.
var child = element(by.css('.parent')).
    element(by.css('.child'));
expect(child.getText()).toBe('Child text\n555-123-4567');

// Chain 3 element calls.
var triple = element(by.css('.parent')).
    element(by.css('.child')).
    element(by.binding('person.phone'));
expect(triple.getText()).toBe('555-123-4567');
```



###Params

Param | Type | Description
--- | --- | ---
ptor | [Protractor](#protractor) | 
opt_usingChain | Array.&lt;webdriver.Locator&gt;= | 




###Returns

Type | Description
--- | ---
function(webdriver.Locator): ElementFinder | 

