##[elementFinder.$](https://github.com/angular/protractor/blob/master/lib/protractor.js#L179)
#### Use as: element(locator).$()
Shortcut for chaining css element finders.


###Example

```html
<div class="parent">
  <div class="child">
    Child text
    <div class="grandchild">{{person.phone}}</div>
  </div>
</div>
```

```javascript
// Chain 2 element calls.
var child = element(by.css('.parent')).$('.child');
expect(child.getText()).toBe('Child text\n555-123-4567');

// Chain 3 element calls.
var triple = $('.parent').$('.child').$('.grandchild');
expect(triple.getText()).toBe('555-123-4567');
```



###Params

Param | Type | Description
--- | --- | ---
cssSelector | string | A css selector.




###Returns

Type | Description
--- | ---
ElementFinder | 

