##[elementArrayFinder.get](https://github.com/angular/protractor/blob/master/lib/protractor.js#L258)
#### Use as: element.all(locator).get()
Get an element found by the locator by index. The index starts at 0.


###Example

```html
<ul class="items">
  <li>First</li>
  <li>Second</li>
  <li>Third</li>
</ul>
```

```javascript
var list = element.all(by.css('.items li'));
expect(list.get(0).getText()).toBe('First');
expect(list.get(1).getText()).toBe('Second');
```



###Params

Param | Type | Description
--- | --- | ---
index | number | Element index.




###Returns

Type | Description
--- | ---
[webdriver.WebElement](#webdriverwebelement) | The element at the given index

