##[elementArrayFinder.each](https://github.com/angular/protractor/blob/master/lib/protractor.js#L343)
#### Use as: element.all().each()
Calls the input function on each WebElement found by the locator.


###Example

```html
<ul class="items">
  <li>First</li>
  <li>Second</li>
  <li>Third</li>
</ul>
```

```javascript
element.all(by.css('.items li')).each(function(element) {
  // Will print First, Second, Third.
  element.getText().then(console.log);
});
```



###Params

Param | Type | Description
--- | --- | ---
fn | function([webdriver.WebElement](#webdriverwebelement)) | Input function




