##[webdriver.WebElement.prototype.findElement](https://code.google.com/p/selenium/source/browse/javascript/webdriver/webdriver.js#1595)

Schedule a command to find a descendant of this element. If the element
cannot be found, a {@code bot.ErrorCode.NO_SUCH_ELEMENT} result will
be returned by the driver. Unlike other commands, this error cannot be
suppressed. In other words, scheduling a command to find an element doubles
as an assert that the element is present on the page. To test whether an
element is present on the page, use {@code #isElementPresent} instead.
<p/>
The search criteria for find an element may either be a
{@code webdriver.Locator} object, or a simple JSON object whose sole key
is one of the accepted locator strategies, as defined by
{@code webdriver.Locator.Strategy}. For example, the following two
statements are equivalent:
<code><pre>
var e1 = element.findElement(By.id('foo'));
var e2 = element.findElement({id:'foo'});
</pre></code>
<p/>
Note that JS locator searches cannot be restricted to a subtree. All such
searches are delegated to this instance's parent WebDriver.




###Params

Param | Type | Description
--- | --- | ---
locator | webdriver.Locator&#124;Object.&lt;string&gt; | The locator strategy to use when searching for the element.




###Returns

Type | Description
--- | ---
[webdriver.WebElement](#webdriverwebelement) | A WebElement that can be used to issue commands against the located element. If the element is not found, the
    element will be invalidated and all scheduled commands aborted.

